# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(CPAN.pm) perl(Catalyst/Controller.pm) perl(Catalyst/Test.pm) perl(Config.pm) perl(Encode.pm) perl(Fcntl.pm) perl(FindBin.pm) perl(HTTP/Request/Common.pm) perl(MRO/Compat.pm) perl(URI/Escape.pm) perl-devel perl-podlators
# END SourceDeps(oneline)
Name:           perl-Catalyst-Plugin-Unicode-Encoding
Version:        1.8
Release:        alt1_2
Summary:        Unicode aware Catalyst
License:        GPL+ or Artistic
Group:          Development/Perl
URL:            http://search.cpan.org/dist/Catalyst-Plugin-Unicode-Encoding/
Source0:        http://www.cpan.org/authors/id/B/BO/BOBTFISH/Catalyst-Plugin-Unicode-Encoding-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl(Catalyst.pm)
BuildRequires:  perl(Class/Data/Inheritable.pm)
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
BuildRequires:  perl(HTTP/Status.pm)
BuildRequires:  perl(IO/Scalar.pm)
BuildRequires:  perl(LWP.pm)
BuildRequires:  perl(Test/More.pm)
BuildRequires:  perl(Try/Tiny.pm)
BuildRequires:  perl(URI.pm)
# tests
BuildRequires:  perl(Test/Pod.pm)
BuildRequires:  perl(Test/Pod/Coverage.pm)
BuildRequires:  perl(Test/WWW/Mechanize/Catalyst.pm)
Requires:       perl(Catalyst.pm) >= 5.800.0
Requires:       perl(LWP.pm) >= 5.837
Requires:       perl(URI.pm) >= 1.36


Source44: import.info

%description
On request, decodes all params from encoding into a sequence of logical
characters. On response, encodes body into encoding.

%prep
%setup -q -n Catalyst-Plugin-Unicode-Encoding-%{version}

sed -i -e '/auto_install/d' Makefile.PL

%build
%{__perl} Makefile.PL INSTALLMAN1DIR=%_man1dir INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;

# %{_fixperms} $RPM_BUILD_ROOT/*

%files
%doc Changes README
%{perl_vendor_privlib}/*

%changelog
* Wed Feb 27 2013 Igor Vlasenko <viy@altlinux.ru> 1.8-alt1_2
- update to new release by fcimport

* Thu Aug 02 2012 Igor Vlasenko <viy@altlinux.ru> 1.8-alt1_1
- new release

* Sun May 27 2012 Igor Vlasenko <viy@altlinux.ru> 1.7-alt1_1
- fc import

